# Uses of Interface
org.bukkit.entity.DragonFireball

Packages that use DragonFireball
Package
Description
com.destroystokyo.paper.event.entity

## Uses of DragonFireball in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return DragonFireball
Modifier and Type
Method
Description
`@NotNull DragonFireball`
EnderDragonFireballHitEvent.`getEntity()`
The fireball involved in this event
`@NotNull DragonFireball`
EnderDragonShootFireballEvent.`getFireball()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type DragonFireball
Modifier
Constructor
Description
``
`EnderDragonFireballHitEvent(@NotNull DragonFireball fireball, @Nullable Collection<LivingEntity> targets, @NotNull AreaEffectCloud areaEffectCloud)`
``
`EnderDragonShootFireballEvent(@NotNull EnderDragon entity, @NotNull DragonFireball fireball)`